Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Interface FOPTextHandler

All Superinterfaces:
  org.apache.xmlgraphics.java2d.TextHandler

All Known Implementing Classes:
  AFPTextHandler, FOPTextHandlerAdapter

    public interface FOPTextHandler

extends org.apache.xmlgraphics.java2d.TextHandler

an fop extension to text handler

Method Summary
`FontInfo` | `getFontInfo()`
`void` | `setOverrideFont(Font font)`

Methods inherited from interface org.apache.xmlgraphics.java2d.TextHandler
`drawString`

Method Detail

### setOverrideFont

    void setOverrideFont(Font font)

  Parameters:
    `font` - override font

### getFontInfo

    FontInfo getFontInfo()

  Returns:
    font info

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.